package de.opalpiraten.scenepainter.gui;
import de.opalpiraten.scenepainter.gui.render.*;
import de.opalpiraten.scenepainter.sys.*;


/**
 * Implementors of this interface get notified of changes to the Workspace
 */
public interface WorkspaceListener {

  /**
   * Called when a Scene is submitted to the workspace via setScene()
   * @param s the Scene that was submitted to the workspace
   */
  public void replaceScene(Scene s);
  
  /**
   * Called then a Project is submitted to the workspace via setScene()
   * @param p the project that was submitted
   */
  public void replaceProject(Project p);
}